Class | Fog::Terremark::Shared::Server
In: | lib/fog/terremark/models/shared/server.rb
Parent: | Fog::Model

### Methods

destroy graceful_restart off? on? power_off power_on power_reset ready? save shutdown

### Public Instance methods

destroy()
graceful_restart()
off?()
on?()
power_off()
power_on(options = {})
power_reset()
ready?()

{ ‘0’ => ‘Being created’, ‘2’ => ‘Powered Off’, ‘4’ => ‘Powered On’}

save()
shutdown()

[Validate]